# Read me #

https://www.civicuk.com/cookie-control/cookie-configurator

Configuration
Simple configuration options allowing you to tailor Cookie Control to your site.


Customise Cookie Control

On this page you can configure your Cookie Control widget. Choose an icon and position it to suit the design of your site. Define the location of your Privacy Policy, and adapt our boiler-plate text if you wish. When you've submitted your changes, we'll generate the code for you to collect on the next page.

You can also try one of the modules developed thanks to the expertise, energy and ethusiasm of our community (below). Please note that these aren't fully tested or supported by CIVIC, but we'll do our best to help if you ask us over on the forum:

Cookie Control for WordPress | Cookie Control for Drupal 8 | Cookie Control for Drupal 7 | Cookie Control for Joomla!

Licence, unlocking features
You must purchase a license if you wish to remove Cookie Control logos and links.

A paid license also permits you to use the top bar and bottom bar interfaces for Cookie Control.


Domain *
Enter the domain on which you are planning to use Cookie Control.

 Important notice: This free download of Cookie Control will only work on one domain. You must make sure that your website is not served from more than one domains, e.g. ‘www.example.com’ and ‘example.com’, before adding it to the box on the right.

If it does, Cookie Control will only work on that specific domain and not the others. Your apikey will be invalid for the other domains, hence you and your visitors will inevitably get an alert when visiting your site from those.

If you do serve your site from more than one domains, make sure that all redirect to the one you put in the input box on the right. This will also help your website's SEO. View the entry on our deployment page for more information on how to do this.

 Consent model
Choose your compliance model
Select the consent model you wish Cookie Control to use. In each consent model the Cookie Control panel appears to the user when they first access the site.

Information Only

Informs users the site is using cookies. They are given no option to opt out.

 Information only
Implied consent

Informs users the site is using cookies and they are given the option to opt out.

 Implied consent
Explicit consent

Informs users the site would like to use cookies and they are given the option to opt in.

 Explicit consent

Pop up by default
Choose whether the Cookie Control user interface (UI) is open by default on page load. This makes it much more explicit that you're seeking user's consent for the use of cookies and may be a safer option in terms of compliance.

  Yes, show for   seconds
  No
Look and feel
Choose your widget style, position, theme and background.

Note that a license is required for the top bar and bottom bar versions of the interface.


Widget Style
 Triangle
 Square
 Diamond
 Bar
Widget Position
 Left
 Right
Widget theme
 Light
 Dark
Preview background
 Light
 Dark
Colouring
Brandind colour
Buttons colour
Links colour
Widget Text
Title
On window-style widgets, this text appears as the first sentence of the window. On bar-style widgets, this is the only text visible on the bar before it is expanded.


 
Introductory text
Some short, sharp copy to introduce the role of cookies on your site. On window-style widgets, this text is concatenated to the title and appears together. On bar-style widgets, this is the first text displayed in the widget when the information panel is visible.


 
Additional text
Describe in general terms what your cookies are used for.


 
 Additional information
Privacy or cookie policy *
A privacy policy explaining how you manage personal data, and how cookies are used on your site is essential for legal compliance. Please provide the full URL to your privacy or cookie policy.


Countries to show Cookie Control
This feature is available to paid versions only.

Please enter the list of countries for which you wish the plugin to appear. If left blank Cookie Control will appear for all users from all countries. View the full list of countries.


Delete cookies on subdomains too
If set to true (the default), Cookie Control assumes it is deployed on a subdomain. Deleting cookies will attempt to delete them for the subdomain, but also try all super-domains.

This options enables you to clear cookies from subdomains. It does NOT enable Cookie Control to work in subdomains. If this is what you require then you might be interested in our multi domain licence.

 Yes
 No
Google Analytics
If you use Google Analytics, enter your Google Analytics key here. This will cause Cookie Control to interact with Google Analytics, opting users in or out depending on their preference.

 Contact information
Email address *
Please provide a valid email address to receive notifications about updates and other information from CIVIC. We will not share your details with third parties.


Password *
Please provide an easy to remember password. You will need to provide this if you wish to modify the domain later.


 Receive updates from CIVIC. Check this box to receive Cookie Control update notifications and occasional marketing emails from CIVIC.

 Please confirm that you agree to our terms and conditions. By checking this box you confirm that you agree to our terms and conditions. *
 