jQuery(document).ready(function($) {
    
    $( "#cookie-tabs" ).tabs();
    
    if ( $('.extraLanguage').length > 0 )
	$('.extraTranslation').show();
	
    $('#addRow').click(function (e) {
		e.preventDefault();
        $('<div/>', {
               'class' : 'extraLanguage', html: GetHtml()
    }).hide().appendTo('#extraLanguageContainer').slideDown('slow');//Get the html from template and hide and slideDown for transtion.

    });
    
    $('#addRowConsent').click(function (e) {
		e.preventDefault();
        $('<div/>', {
               'class' : 'countryConsent', html: GetConsentHtml()
    }).hide().appendTo('#consentModelContainer').slideDown('slow');//Get the html from template and hide and slideDown for transtion.

    });
	
    $('body').on('click', '#removeExtraLanguage', function(e){ 
        e.preventDefault();
        $(this).parents('td').parents('tr').parents('table').parents('.extraLanguage').remove();
		
        if ( $('.extraLanguage').length === 0 ) {
            $('.extraTranslation').hide();
            $('#cookiecontrol_settings\\[translations\\]').val('');
        }			
    });
    
    $('body').on('click', '#removeConsentModel', function(e){ 
        e.preventDefault();
        $(this).parents('td').parents('tr').parents('table').parents('.countryConsent').remove();			
    });
});

//Get the template and update the input field names 
function GetHtml() {
    var len = jQuery('.extraLanguage').length; 
    var $html = jQuery('.extraLanguageTemplate').clone(); 
	
    $html.find('#cookiecontrol_settings\\[languageCode\\]').prop('name', 'cookiecontrol_settings[languageCode][' + len + ']');
    $html.find('#cookiecontrol_settings\\[languageCode\\]').prop('id', 'cookiecontrol_settings[languageCode][' + len + ']');
	
    jQuery('.extraTranslation').show();
	
    return $html.html();    
}

//Get the template and update the input field names 
function GetConsentHtml() {
    var len = jQuery('.countryConsent').length; 
    var $html = jQuery('.consentModelTemplate').clone(); 
	
    $html.find('#cookiecontrol_settings\\[countryConsentModel\\]').prop('name', 'cookiecontrol_settings[countryConsentModel][' + len + ']');
    $html.find('#cookiecontrol_settings\\[countryConsentModel\\]').prop('id', 'cookiecontrol_settings[countryConsentModel][' + len + ']');
    $html.find('#cookiecontrol_settings\\[countryConsent\\]').prop('name', 'cookiecontrol_settings[countryConsent][' + len + ']');
    $html.find('#cookiecontrol_settings\\[countryConsent\\]').prop('id', 'cookiecontrol_settings[countryConsent][' + len + ']');
	
    return $html.html();    
}